QGIS 2.8.1 freezes when saving data

2015-06-05 12:51 PM - Eric Stewart

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20985

Description

Hello everyone,

This is my first bug report so I apologize if I'm doing something wrong...

QGIS 2.8.1 will occasionally freeze up completely for several minutes as I'm trying to save Shapefile data. It seems to me that it happens

if I'm trying to work quickly in QGIS (i.e. modify attributes and then save immediately after). Closing QGIS and reopening it seems to fix

the issue. I haven't observed any data corruption issues as a result of this.

Today I think I may have received a clue about what might be causing the hangup: I was trying to copy & paste data from another program

into Excel when Excel showed an error "Excel is waiting for another application to complete an OLE action". I'm fairly certain that this is

related to the QGIS hang up.

Let me know if you need other information and if there is other information I can provide to assist in fixing this bug.

Thanks,

Eric

History

#1 - 2015-06-05 01:04 PM - Saber Razmjooei

- Status changed from Open to Feedback

This could be hardware limitation of your PC. 

Also check if your shapefile is on a network drive with slow connection.

As QGIS does not crash or produce any error, it could be any programme in your system.

#2 - 2015-06-05 01:14 PM - Eric Stewart

Thanks for the quick response... The laptop is an HP ZBook 17 with a Core i7 processor and 16 GB of RAM, connected by Gigabit LAN to a high

performance server (I'm at work). I'm fairly sure I've tried working with the files locally and I still have the same issue. I'm willing to give it a shot again,

though.

Sometimes I'll use Windows Sync when I'm not connected to the server, meaning it's working off a local cache, and I still have the same issue. I don't think

it's a slow network connection.

If there's a way for me to provide a log of what's going on when this happens, please direct me to it (if you don't mind) and I'll happily work through it and
provide the log to you.

#3 - 2015-06-05 01:34 PM - Saber Razmjooei

- Priority changed from High to Normal

- Target version deleted (Future Release - High Priority)

Try to rename .qgis2 folder and open your file and see if this happens again.

Worth also checking CPU and memory usage of QGIS application.

I guess it is a local issue and difficult to know.

#4 - 2015-06-05 01:48 PM - Giovanni Manghi

a sample project with data would also help.

#5 - 2015-06-09 07:20 AM - Eric Stewart

I've tried clearing the .qgis2 folder before but that didn't seem to work. Within a few days I expect I'll have some time to do all the requested things while

making a screen recording of it and the issue (if it persists), and then post a link here with attached sample project data.

#6 - 2015-07-16 05:59 PM - Eric Stewart

- File qgis-bin.DMP_Windows_Debugger.txt added

Sorry for the very, very long delay. I still don't want a video screen capture, but I do have a few DMP files on Google Drive from a few different crashes. I

also installed the Windows Debugger and I can provide output from that if it would be useful.

https://drive.google.com/drive/u/0/folders/0BzaeNlnK7M8afmczSGk3LVE5MVhaUmRVN0FWOTFrMWlZbUI1Q2QwX2NQSVVoX2N2eVB2dFU

#7 - 2015-12-27 01:24 PM - Giovanni Manghi

still an issue on the latest qgis releases?

Can you attach a sample project with data to allow us try replicate the issue?

May be has your OS is (was?) a 32bit you just hit a memory issue.

#8 - 2015-12-27 01:41 PM - Giovanni Manghi

- Subject changed from QGIS 2.8.1 freezes, Excel waites to complete OLE action to QGIS 2.8.1 freezes when saving data

see also #13963

#9 - 2016-05-23 04:52 AM - Giovanni Manghi

- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

Files

qgis-bin.DMP_Windows_Debugger.txt 7.47 KB 2015-07-16 Eric Stewart
